<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'autorisation_change';

		/* data for selected record, or defaults if none is selected */
		var data = {
			nom_prenom: <?php echo json_encode(array('id' => $rdata['nom_prenom'], 'value' => $rdata['nom_prenom'], 'text' => $jdata['nom_prenom'])); ?>,
			nationalite: <?php echo json_encode($jdata['nationalite']); ?>,
			profession: <?php echo json_encode($jdata['profession']); ?>,
			adresse: <?php echo json_encode($jdata['adresse']); ?>,
			num_compte: <?php echo json_encode($jdata['num_compte']); ?>,
			nature_operation: <?php echo json_encode(array('id' => $rdata['nature_operation'], 'value' => $rdata['nature_operation'], 'text' => $jdata['nature_operation'])); ?>,
			nature_devises: <?php echo json_encode(array('id' => $rdata['nature_devises'], 'value' => $rdata['nature_devises'], 'text' => $jdata['nature_devises'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for nom_prenom */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nom_prenom' && d.id == data.nom_prenom.id)
				return { results: [ data.nom_prenom ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nom_prenom autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'nom_prenom' && d.id == data.nom_prenom.id) {
				$j('#nationalite' + d[rnd]).html(data.nationalite);
				$j('#profession' + d[rnd]).html(data.profession);
				$j('#adresse' + d[rnd]).html(data.adresse);
				$j('#num_compte' + d[rnd]).html(data.num_compte);
				return true;
			}

			return false;
		});

		/* saved value for nature_operation */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nature_operation' && d.id == data.nature_operation.id)
				return { results: [ data.nature_operation ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nature_devises */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nature_devises' && d.id == data.nature_devises.id)
				return { results: [ data.nature_devises ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

